Subject: Re: [mpls] Question on draft-ietf-mpls-rfc4379bis-09.txt

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 1 Dec 2016 23:06:50 +0000

Mustapha, Tom,

The new revision should address all these issues, and fix a couple additional editorials.

Could you please review?

Name: draft-ietf-mpls-spring-lsp-ping
Revision: 02
Title: Label Switched Path (LSP) Ping/Trace for Segment Routing Networks Using MPLS Dataplane
Document date: 2016-12-01
Group: mpls
Pages: 18
URL:            https://www.ietf.org/internet-drafts/draft-ietf-mpls-spring-lsp-ping-02.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-mpls-spring-lsp-ping/
Htmlized:       https://tools.ietf.org/html/draft-ietf-mpls-spring-lsp-ping-02
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-spring-lsp-ping-02

Thanks!

—
Carlos Pignataro, [email-masked]<mailto:[email-masked]>

“Sometimes I use big words that I do not fully understand, to make myself sound more photosynthesis."

On Nov 30, 2016, at 8:37 AM, Aissaoui, Mustapha (Nokia - CA) <[email-masked]<mailto:[email-masked]>> wrote:

Tom and Carlos,
Thanks. It seems we are in sync.

Mustapha.

-----Original Message-----
From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Tuesday, November 29, 2016 6:18 AM
To: t.petch <[email-masked]<mailto:[email-masked]>>
Cc: Aissaoui, Mustapha (Nokia - CA) <[email-masked]<mailto:[email-masked]>>;
[email-masked]<mailto:[email-masked]>
Subject: Re: [mpls] Question on draft-ietf-mpls-rfc4379bis-09.txt

Hi Tom,

Indeed. My reply implied (although it didn't spell out) that this is specified for the
DDMAP (and not the deprecated DSMAP). That's why the protocol field definition
happens in a sub-TLV.

Let us make the changes in the doc and then we can discuss over something more
concrete.

Thanks!

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

On Nov 29, 2016, at 05:51, t.petch <[email-masked]<mailto:[email-masked]>> wrote:

Carlos

One other point I raised was that spring-lsp refers throughout to
Downstream Mapping TLV and not to Downstream Detailed Mapping TLV

Mustapha assumed that these should all be changed.  I am unsure about
this - is spring-lsp expected to work with Downstream Mapping TLV as
specified in RFC4379?  If not, then I think that spring-lsp should
spell that out.

Either way, the wording changes to spring-lsp need some thought since
Downstream Mapping TLV does not have subTLVs and Downstream Detailed
Mapping TLV does.

Tom Petch

----- Original Message -----
From: "Carlos Pignataro (cpignata)" <[email-masked]<mailto:[email-masked]>>
To: "Aissaoui, Mustapha (Nokia - CA)" <[email-masked]<mailto:[email-masked]>>
Cc: <[email-masked]<mailto:[email-masked]>>
Sent: Monday, November 28, 2016 1:53 PM

Thank you Mustapha for catching these, and Tom and Mach for the
follow-ups.

There are three changes needed to draft-ietf-mpls-spring-lsp-ping
based based on this discussion:

1.  In Section 10.1, update the references to {Section 4.1, Section
4.2, Section 4.1} -> {Section 5.1, Section 5.2, Section 5.1}
2.  Create a Section 10.2, create a registry for the "Protocol field
of the Label Stack Sub-TLV of the Downstream Detailed Mapping TLV",
registering values 0-4, and asking for TBD5 and TBD6. If this happens
in this draft instead of 4379bis, I believe it is OK.
3.  Create a Section 10.3, requesting error code TBD.

Thanks!

―
Carlos Pignataro, [email-masked]<mailto:[email-masked]><mailto:[email-masked]>

"Sometimes I use big words that I do not fully understand, to make
myself sound more photosynthesis."

On Nov 24, 2016, at 5:05 PM, Aissaoui, Mustapha (Nokia - CA)
<[email-masked]<mailto:[email-masked]><mailto:[email-masked]>>
wrote:

Dear all,
Can someone point me to where are held the IANA allocation for the
values in the 'protocol' field of the Label Stack Sub-TLV of the
Downstream Detailed Mapping TLV?

There is draft-ietf-mpls-spring-lsp-ping-01 which is adding IS-IS and
OSPF as new values into this field but I fail to find where these are
maintained.

Regards,
Mustapha.

---

From: t.petch <[email-masked]>
Date: Fri, 2 Dec 2016 18:08:46 +0000

Carlos

not quite

s.7.4 "This section updates the procedure defined in Step 6 of section
4.4.
   of [I-D.ietf-mpls-rfc4379bis]"
but there is no 'Updates' in the header.

s.6 " The following protocols are defined in section 3.4.1.2 of
   [I-D.ietf-mpls-rfc4379bis]:
but s.10.2  has "3.4.2.1 "

s.7.4 "   This section updates the procedure defined in Step 6 of
section 4.4.
   of [I-D.ietf-mpls-rfc4379bis]"

mmm 'updates'  I cannot tell what text in 4379bis is replaced by what
text in this I-D.  Even with a fertile imagination, I cannot see how to
turn this into a single piece of  (pseudo-)code.  The two sections,
4379bis and this I-D, seem disjoint.

mmmm2  The English has a somewhat Oriental flavour, missing 'the',
plurals and singulars mixed up, interesting words ("&pop& "  "Incase")
and such like. This is not a bar to understanding, but it jars (with
me).

 Tom Petch

----- Original Message -----
From: "Carlos Pignataro (cpignata)" <[email-masked]>
To: "Aissaoui, Mustapha (Nokia - CA)" <[email-masked]>
Cc: "t.petch" <[email-masked]>; <[email-masked]>
Sent: Thursday, December 01, 2016 11:06 PM

> URL:
https://www.ietf.org/internet-drafts/draft-ietf-mpls-spring-lsp-ping-02.
txt
> Status:
https://datatracker.ietf.org/doc/draft-ietf-mpls-spring-lsp-ping/
> Htmlized:
https://tools.ietf.org/html/draft-ietf-mpls-spring-lsp-ping-02
> Diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-spring-lsp-ping-02